@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set SOFTWARE=..\software

echo ####### %0 #######

echo.
echo installing Franklin Gothic Medium font for LEXWARE ...
if NOT EXIST %SOFTWARE%\framd.ttf (

  echo ERROR: %SOFTWARE%\framd.ttf not found!
  exit /b

) else (

  copy /Y %SOFTWARE%\framd.ttf %WINDIR%\Fonts

  echo registering font ...
  reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Fonts" ^
    /v "Franklin Gothic Medium (TrueType)" /t REG_SZ /d framd.ttf /f
  reg add "HKLM\SOFTWARE\WOW6432Node\Microsoft\Windows NT\CurrentVersion\Fonts" /v ^
    "Franklin Gothic Medium (TrueType)" /t REG_SZ /d framd.ttf /f

)

echo IMPORTANT: please reboot your system to activate the fonts!
echo.

echo ####### %0 #######

pause

